Installer - Bug #31548

Incorrect legacy dir in Pulpcore migration
12/23/2020 03:36 PM - Ewoud Kohl van Wijngaarden

Status: Closed
Priority: Normal
Assignee: Ewoud Kohl van Wijngaarden
Category: foreman-installer script
Target version: 232
Difficulty: Fixed in Releases: 2.3.2,24.0
Triaged: Yes Found in Releases: 2.3.1
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-i
nstaller/pull/639,
https://github.com/theforeman/foreman-i
nstaller/pull/634

Description
From https://community.theforeman.org/t/updating-foreman-2-2-1-to-2-3-1-and-katello-3-17-1-t0-3-18-issue/21738

It looks like | used the incorrect legacy directory in #30423. In our layout we used docroot as media directory, not artifact.

Related issues:
Related to Installer - Bug #30423: pulp 3 is configured to store downloaded c... Closed
Has duplicate Katello - Bug #31632: Error when publishing repository Red Hat ... Duplicate

Associated revisions

Revision 39003aae - 01/13/2021 01:41 PM - Ewoud Kohl van Wijngaarden
Fixes #31548 - Use the correct pulpcore legacy dir

In our previous layout we used /var/lib/pulp/docroot as media directory
while upstream used /var/lib/pulp as media directory and had all files
in /var/lib/pulp/artifact. This artifact directory also exists in our
previous layout, but that's /var/lib/pulp/docroot/artifact.

Pulp can't move /var/lib/pulp to /var/lib/pulp/media so their migration

was harder. We can just rename /var/lib/pulp/docroot to
/var/lib/pulp/media and place a symlink in the old location.

History

#1 - 12/23/2020 03:37 PM - Ewoud Kohl van Wijngaarden
- Related to Bug #30423: pulp 3 is configured to store downloaded content in /var/lib/pulp/docroot/ added

#2 - 12/23/2020 03:39 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-installer/pull/634 added

#3 - 01/13/2021 02:01 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset installer|39003aaed97c¢b51285761463bdb84cf8bf0cdbca.

#4 - 01/14/2021 12:27 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/639 added

#5 - 01/18/2021 10:07 AM - Tomer Brisker
https://community.theforeman.org/t/updating-foreman-2-2-1-to-2-3-1-and-katello-3-17-1-to-3-18-issue/21738
https://projects.theforeman.org/issues/30423
https://projects.theforeman.org/projects/puppet-foreman/repository/installer/revisions/39003aaed97cb51285761463bdb84cf8bf0cdbca

- Fixed in Releases 2.3.2, 2.4.0 added

#6 - 01/20/2021 09:25 PM - Justin Shetrill

- Has duplicate Bug #31632: Error when publishing repository Red Hat Enterprise Linux 6 Server RPMs x86_64 6Server - pulpcore-worker-3:
FileNotFoundError: [Errno 2] No such file or directory:

var/lib/pulp/media/artifact/5b/290c0e 700df6f4b4669d9e 7366f6aa4b6817f96e 1dcb9b81284409ae64 added
